OptIter Class Referenceabstract

`#include <options.h>`

Inheritance diagram for OptIter:
[legend]

## Public Member Functions

virtual const char * | curr (void)=0
virtual void | next (void)=0
| next() advances to the next item.
virtual const char * | operator() (void)
virtual const char * | curr (void)=0
virtual void | next (void)=0
| next() advances to the next item.
virtual const char * | operator() (void)

## Detailed Description

Abstract class to iterate through options/arguments

## Member Function Documentation

virtual const char* OptIter::curr | ( | void |  | ) |

pure virtual

curr() returns the current item in the iterator without advancing on to the next item. If we are at the end of items then NULL is returned.

Implemented in OptIstreamIter, OptIstreamIter, OptStrTokIter, OptStrTokIter, OptArgvIter, OptArgvIter, OptIterRwd, and OptIterRwd.

virtual const char* OptIter::curr | ( | void |  | ) |

pure virtual

curr() returns the current item in the iterator without advancing on to the next item. If we are at the end of items then NULL is returned.

Implemented in OptIstreamIter, OptIstreamIter, OptStrTokIter, OptStrTokIter, OptArgvIter, OptArgvIter, OptIterRwd, and OptIterRwd.

const char * OptIter::operator() | ( | void |  | ) |

virtual

operator() returns the current item in the iterator and then advances on to the next item. If we are at the end of items then NULL is returned.

Reimplemented in OptIstreamIter, OptIstreamIter, OptStrTokIter, OptStrTokIter, OptArgvIter, OptArgvIter, OptIterRwd, and OptIterRwd.

virtual const char* OptIter::operator() | ( | void |  | ) |

virtual

operator() returns the current item in the iterator and then advances on to the next item. If we are at the end of items then NULL is returned.

Reimplemented in OptIstreamIter, OptIstreamIter, OptStrTokIter, OptStrTokIter, OptArgvIter, OptArgvIter, OptIterRwd, and OptIterRwd.

The documentation for this class was generated from the following files:

- apps/elftosb/common/options.h
- apps/elftosb/common/options.cpp